*:focus {
    outline: none;
}

html, body {
    height: 100%;
}

.toast {
    font-family: 'Montserrat', sans-serif;
}

body {
    min-height: 100%;
    background-image: url('../img/bg-new.jpg');
    background-repeat: no-repeat;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    display: flex;
    flex-direction: column;
    align-items: end;
    padding: 6vw 6vw 6vw 6vw;
    overflow-y: hidden;
}

.container {
    background: rgba(255, 249, 249, 0.06);
    border-radius: 30px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.7);
    backdrop-filter: blur(22px);
    -webkit-backdrop-filter: blur(22px);
    border: 1px solid rgba(255, 249, 249, 0.07);;
    max-width: 350px;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 3vw 3vw 3vw 3vw;
}

.container h1 {
    font-size: clamp(12px, 6vw, 25px);
    font-family: 'Montserrat', sans-serif;
    color: white;
    padding-bottom: 10vh;
}

.container-input {
    background-color: blue;
}

.container-footer img {
    width: 270px;
}

.imput-icon-usr img {
    width: 10px;
}

#cpf {
    width: 300px;
    background-color: rgba(255, 255, 255, 0);
    font-family: 'Montserrat', sans-serif;
    color: white;
    font-size: 18px;
    text-align: center;
    border-style: solid;
    border-color: white;
    border-width: 0px 0px 2px 0px;
    margin-bottom: 2vh;
    padding: 10px 0;
}

#cpf::placeholder {
    font-family: 'Montserrat', sans-serif;
    font-size: 18px;
    color: white;
}

#senha {
    width: 300px;
    background-color: rgba(255, 255, 255, 0);
    font-family: 'Montserrat', sans-serif;
    color: white;
    font-size: 18px;
    text-align: center;
    border-style: solid;
    border-color: white;
    border-width: 0px 0px 2px 0px;
    margin-bottom: 5vh;
    padding: 10px 0;
}

#senha::placeholder {
    font-family: 'Montserrat', sans-serif;
    font-size: 18px;
    color: white;
}

.btnSubmit button {
    background-color: rgba(255, 255, 255, 0);
    font-family: 'Montserrat', sans-serif;
    font-weight: lighter;
    font-size: 18px;
    color: white;
    border-style: solid;
    border-color: white;
    border-width: 1px;
    border-radius: 0px 30px 0px 30px;
    padding: 10px 60px 10px 60px;
}

.btnSubmit button:hover {
    background-color: white;
    color: black;
    cursor: pointer;
}

.btnSubmit {
    padding-bottom: 6vh;
    position: relative;
}

.container-links {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: 'Montserrat', sans-serif;
    color: white;
    font-size: clamp(12px, 3vw, 18px);
}

.container-links a:link {
    text-decoration: none;
    color: white;
}

.container-links a:visited {
    color: white;
    text-decoration: none;
}

.container-footer {
    padding-top: 5vh;
}

.input-icon-usr img,
.input-icon-pswd img {
    float: left;
    margin-right: 10px;
}

.spinner {
    border: 5px solid #DCDCDC;
    border-left-color: #00CC99;
    border-radius: 100%;
    height: 20px;
    width: 20px;
    animation: loading 2s linear infinite;
    display: none;
    position: absolute;
    top: 7px;
    left: 20px;
}

@keyframes loading {
    0% {
        transform: rotate(0);
    }
    100% {
        transform: rotate(360deg);
    }
}

@media (max-width: 500px) {
    body {
        padding: 6vw 0;
    }

    main {
        margin: 0 auto;
    }

    #cpf,
    #senha {
        width: calc(100% - 45px);
        max-width: 300px;
    }
}